Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

smarterweb

incompatible PS modules

Recommended Posts

Hi,

we now have more and more modules that don't work in TB latest stable 1.1.0.

Some module developers will not even support their extensions for TB and charge extra money just to make them compatible.

If ThirtBee's code changes so much so that PS 1.6 modules are no longer compatible, that's a real worry. How do we best go about this? I s there something like a module converter so we can continue buying modules made for PS 1.6?
 

Will someone from the TB team look into these issues or are we just left by ourselves and having to employ devs to fix the incompatible modules?

Share this post


Link to post
Share on other sites
6 minutes ago, datakick said:

and do those modules work on ps1.6?

yes, just tested on vanilla PS 1.6 and works without issues.

One module I can't even open, I get:

ThirtyBeesException

Unable to load template 'file:./_partials/header.tpl' in './layout.tpl'

in file vendor/smarty/smarty/libs/sysplugins/smarty_internal_template.php at line 185

Share this post


Link to post
Share on other sites

I have the same issue. Bought a module which is working on plain PS 1.6. On thirty bees it's not loading in the FO at all. Developer quoted me 1000+ EUR to make the module compatible with TB...

Share this post


Link to post
Share on other sites
1 hour ago, Enev said:

I have the same issue. Bought a module which is working on plain PS 1.6. On thirty bees it's not loading in the FO at all. Developer quoted me 1000+ EUR to make the module compatible with TB...

did the developer told you what he did to make it compatible?

Share this post


Link to post
Share on other sites

No, I didn't agree with his offer and now I try to arrange a refund for the module.

From my own research the incompatibility has something to do with Dispatcher.php, URL rewriting, etc.

When I replaced TB's Dispatcher.php with the one from PS 1.6.1.24 at least some of the elements of the module showed up but that was far than functional anyways.

To be honest, for 1300+ EUR (module + compatibility development), I would rather migrate to OpenCart and buy all necessary modules, which would work out of the box for a fraction of that cost.

Share this post


Link to post
Share on other sites

guys, please PM me links to those incompatible modules, I'll check them and let you know. I'm quite curious what the problems are. 

  • Like 1

Share this post


Link to post
Share on other sites
16 hours ago, Enev said:

No, I didn't agree with his offer and now I try to arrange a refund for the module.

From my own research the incompatibility has something to do with Dispatcher.php, URL rewriting, etc.

When I replaced TB's Dispatcher.php with the one from PS 1.6.1.24 at least some of the elements of the module showed up but that was far than functional anyways.

To be honest, for 1300+ EUR (module + compatibility development), I would rather migrate to OpenCart and buy all necessary modules, which would work out of the box for a fraction of that cost.

@Enev sent me the module, thanks for that.

The module in question modifies the way product routes are handled in core - it overrides default product route that is defined in Preferences > SEO & Urls 

This is one of the few areas where thirtybees is intentionally not compatible (other areas are full page caching, for example).Thirtybees come with build-in 'pretty url' feature, so its dispatcher is very different from the ps16 dispatcher. This module attempt to hack it fails, unfortunately.

From the module code it's obvious that this was always a friction point. When any friendly-url module was installed, this module stopped working, and additional hacks needed to be implemented. In the code you can find special cases for modules mpcleanurls, psseobooster, Advanced Url module, cleanurls, prettyurls.

I'm afraid this is indeed not compatible module. It's up to its author if he adds compatibility for thirtybees friendly-url implementation.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...